# Debugging a Hot Tub Time (Series) Machine

In this project, I look at how can we make hot tubs and pools around the world 
safer, and frankly, more fun! This IoT project was built to actively monitor 
a residential body of water (like a pool or hot tub) with:

- A variety of **water quality sensors**;
- A cool **new microcontroller**;
- A **cellular** device-to-cloud data pump;
- A **cloud-based dashboard** populated by time series data;
- PLUS an **SMS notification** system for chlorine emergencies!

**Read through the entire project [here on Hackster](https://www.hackster.io/rob-lauer/debugging-a-hot-tub-time-series-machine-92e44f).**

> You can also watch a [short preview of the project on YouTube](https://youtu.be/pYxxY7sP5MI)!

## Hardware Used:

- [Blues Wireless Notecard and Notecarrier for Cellular](https://blues.io/products/notecard/?utm_source=github&utm_medium=web&utm_campaign=featured-project&utm_content=hottub)
- [Blues Wireless Feather-compatible MCU: Swan](https://blues.io/products/swan/?utm_source=github&utm_medium=web&utm_campaign=featured-project&utm_content=hottub)
- [Analog pH Sensor](https://www.dfrobot.com/product-2069.html?tracking=60f51c53af980)
- [Analog TDS Sensor](https://www.dfrobot.com/product-1662.html?tracking=60f51c53af980)
- [Analog ORP Sensor](https://www.dfrobot.com/product-1071.html?tracking=60f51c53af980)
- [Digital Waterproof DS18B20 Sensor](https://www.dfrobot.com/product-1354.html?tracking=60f51c53af980) 

## Software/Services Used:

- [Arduino IDE](https://www.arduino.cc/en/software)
- [Blues Wireless Notehub](https://blues.io/services/?utm_source=github&utm_medium=web&utm_campaign=featured-project&utm_content=hottub)
- [Losant](https://www.losant.com/)
